Subject: [nemo] Issue 7

From: Vijay Devarapalli <[email-masked]>
Date: Mon, 28 Jul 2003 18:32:39 -0700

hi Felix,

I have added some text to make it clear that the Prefix Table
is used for verifying whether the mobile router owns the MNP 
it claims only if the HA receives a Binding Update in explicit 
mode. hope this addresses your concern (and also Kent's).

   In some deployment scenarios, it is necessary for Home Agent to
   prevent a misbehaving Mobile Router from claiming mobile network
   prefixes belonging to another Mobile Router.  The Home Agent can
   prevent such attacks if it maintains the Prefix Table and verifies
   the Prefix Information provided by the Mobile Router against the
   entries in the Prefix Table.  However, this verification is done only
   if the Binding Update contained explicit prefix information in the
   form of either the Mobile Network Prefix Option or the Mobile Network
   Prefix Length Option.

Vijay